Bug 9630 - slovene keymap doesn't work
slovene keymap doesn't work
Product: Red Hat Linux
Classification: Retired
Component: console-tools (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: 10555 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-02-21 05:35 EST by David Balažic
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-09 05:09:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Balažic 2000-02-21 05:35:22 EST
setting the keyboard to slovene doesn't work :
> loadkeys slovene
Loading /usr/lib/kbd/keymaps/i386/qwertz/slovene.kmap.gz
unknown keysym 'cent'
/usr/lib/kbd/keymaps/i386/qwertz/slovene.kmap.gz:6: parse error
syntax error in map file
key bindings not changed

I located the problem to file
/usr/lib/kbd/keymaps/i386/include/euro.inc.gz which is included
by slovene.kmap , the problematic line is :
altgr keycode 46 = cent

Commenting it out "fixes" the problem.
Comment 1 David Balažic 2000-04-10 04:19:59 EDT
After some looking around I discovered that the 'cent' symbol
is legal , as it is used by all other keymaps too.
The thing is that slovene.kmap has line :
codepage "iso-8859-2"
If I delete this line , then it works OK.
Note that I don't remember if the keyword is actually 'codepage'
or something else. It is one of the first lines in the file,
just look for *8859* :-)
Comment 2 David Balažic 2000-04-10 04:27:59 EDT
*** Bug 10555 has been marked as a duplicate of this bug. ***
Comment 3 David Balažic 2000-04-10 05:02:59 EDT
OK , the line is not 'codepage "iso-8859-2"' ,
but 'charset "iso-8859-2"'
Comment 4 David Balažic 2000-08-07 13:02:09 EDT
Still here in Pinstripe.
Just do 'loadkeys slovene' and observe the error messages.
Comment 5 Bernhard Rosenkraenzer 2000-08-09 05:09:00 EDT

Note You need to log in before you can comment on or make changes to this bug.